Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 210060 - NullPointerException at org.netbeans.editor.ext.html.parser.api.AstNode$Attribute.value
NullPointerException at org.netbeans.editor.ext.html.parser.api.AstNode$Attri...
Status: RESOLVED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
7.2
All All
: P3 with 1 vote (vote)
: 7.2
Assigned To: Marek Fukala
issues@javaee
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 20:59 UTC by muellermi
Modified: 2012-04-03 14:32 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.93 KB, text/plain)
2012-03-25 20:59 UTC, muellermi
Details
stacktrace (3.03 KB, text/plain)
2012-03-29 18:14 UTC, genomega
Details
stacktrace (2.93 KB, text/plain)
2012-03-30 19:29 UTC, gholmer
Details
stacktrace (3.03 KB, text/plain)
2012-04-01 21:56 UTC, muellermi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description muellermi 2012-03-25 20:59:26 UTC
Build: NetBeans IDE Dev (Build 201203230400)
VM: Java HotSpot(TM) 64-Bit Server VM, 22.1-b02, Java(TM) SE Runtime Environment, 1.7.0_03-b05
OS: Windows 7

User Comments:
muellermi: editing JSF page

GUEST: On JSF-page editing:
try to wrote commandButton's attribute with ctrl+space

cdicarlo: Editing an XHTML file, IDE autocompleted rendered attribute.




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.editor.ext.html.parser.api.AstNode$Attribute.value(AstNode.java:779)
   at org.netbeans.modules.web.jsf.editor.hints.ComponentUsagesChecker$2.visit(ComponentUsagesChecker.java:184)
   at org.netbeans.editor.ext.html.parser.api.AstNodeUtils.visitChildren(AstNodeUtils.java:502)
   at org.netbeans.editor.ext.html.parser.api.AstNodeUtils.visitChildren(AstNodeUtils.java:504)
   at org.netbeans.editor.ext.html.parser.api.AstNodeUtils.visitChildren(AstNodeUtils.java:509)
   at org.netbeans.modules.web.jsf.editor.hints.ComponentUsagesChecker.checkCCCalls(ComponentUsagesChecker.java:133)
Comment 1 muellermi 2012-03-25 20:59:28 UTC
Created attachment 117214 [details]
stacktrace
Comment 2 Exceptions Reporter 2012-03-26 02:34:56 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=186108
Comment 3 genomega 2012-03-29 18:14:22 UTC
Created attachment 117502 [details]
stacktrace

coding xhtml page - entered /> and pressed enter.
Comment 4 gholmer 2012-03-30 19:29:21 UTC
Created attachment 117581 [details]
stacktrace

Added an EL expression to the value of a JSF OutputText component.

value before:

<ice:outputText value="Orders with shipping addresses containing one of these ZIP codes will be held as possibly \
fraudulent." style="vertical-align: top"/>

value after (editing not complete, error dialog appeared):

<ice:outputText value="#{csi.fraudZipExplain}"Orders with shipping addresses containing one of these ZIP codes will be held as possibly \
fraudulent." style="vertical-align: top"/>
Comment 5 muellermi 2012-04-01 21:56:22 UTC
Created attachment 117615 [details]
stacktrace

editing JSF page
Comment 6 Exceptions Reporter 2012-04-01 21:56:38 UTC
This bug already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=186108
Comment 7 Marek Fukala 2012-04-02 07:03:27 UTC
already fixed by web-main#1af99f09e439  (issue #209830)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo